webrtc-audio-processing 0.3 is unbuildable on non-linux archs

Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

webrtc-audio-processing 0.3 is unbuildable on non-linux archs

Felipe Sateler-2
Dear Hurd and BSD porters,

The latest upload of webrtc-audio-processing in unstable does not
build on non-linux archs. This new version is required by pulseaudio
9, so it will not build as well.

My guess is that the build failures are only due to lack of
appropriate checks in configure (ie, not any real incompatibility). If
the porters could prepare such a patch, I'm more than happy to apply
locally and forward upstream. I currently lack time to try to do this
myself.

--

Saludos,
Felipe Sateler

Reply | Threaded
Open this post in threaded view
|

Re: webrtc-audio-processing 0.3 is unbuildable on non-linux archs

Svante Signell-2
On Sun, 2016-07-03 at 13:00 -0300, Felipe Sateler wrote:

> Dear Hurd and BSD porters,
>
> The latest upload of webrtc-audio-processing in unstable does not
> build on non-linux archs. This new version is required by pulseaudio
> 9, so it will not build as well.
>
> My guess is that the build failures are only due to lack of
> appropriate checks in configure (ie, not any real incompatibility).
> If the porters could prepare such a patch, I'm more than happy to
> apply locally and forward upstream. I currently lack time to try to
> do this myself.

There is a patch for that package available already:
See #829570 from 04 Jul 2016.

Thanks!

Reply | Threaded
Open this post in threaded view
|

Re: webrtc-audio-processing 0.3 is unbuildable on non-linux archs

Felipe Sateler-2


On Fri, Aug 24, 2018 at 8:56 PM Svante Signell <[hidden email]> wrote:
On Sun, 2016-07-03 at 13:00 -0300, Felipe Sateler wrote:
> Dear Hurd and BSD porters,
>
> The latest upload of webrtc-audio-processing in unstable does not
> build on non-linux archs. This new version is required by pulseaudio
> 9, so it will not build as well.
>
> My guess is that the build failures are only due to lack of
> appropriate checks in configure (ie, not any real incompatibility).
> If the porters could prepare such a patch, I'm more than happy to
> apply locally and forward upstream. I currently lack time to try to
> do this myself.

There is a patch for that package available already:
See #829570 from 04 Jul 2016.

I already commented on that patch with some review comments, which have not been responded to.

BTW, forwarding upstream is now easier, with upstream using gitlab just like debian: https://gitlab.freedesktop.org/pulseaudio/webrtc-audio-processing

I look forward to cherry-picking the patch from upstream. It will probably be faster if you can do the MR upstream, should any iteration be necesary.

--

Saludos,
Felipe Sateler
Reply | Threaded
Open this post in threaded view
|

Re: Bug#829570: webrtc-audio-processing 0.3 is unbuildable on non-linux archs

Samuel Thibault-8
Hello,

Felipe Sateler, le lun. 03 sept. 2018 10:13:53 -0300, a ecrit:
> I look forward to cherry-picking the patch from upstream. It will probably be
> faster if you can do the MR upstream, should any iteration be necesary.

Upstream integrated
https://gitlab.freedesktop.org/pulseaudio/webrtc-audio-processing/merge_requests/5
could you cherry-pick 9def8cf10d3c97640d32f1328535e881288f700f ?

Thanks,
Samuel